﻿/*MainIcon.Master*/
div#cDvPageMainIcon
{
    width: 960px; 
    margin: 20px auto 0px auto; 
    border:0px solid red;
}
div#cDvBodyMainIcon_Container
{
    margin-top: 10px;

    background-color: rgba(255, 255, 255, 0.2);
    border:1px solid silver; 
    border-radius: 8px; 
    box-shadow: 0px 0px 1px #000000;
}

/*Main.Master*/
div#cDvPageMain
{
    width: 960px; 
    margin: 20px auto 0px auto; 
    border:0px solid red;
}
div#cDvBodyMain_Container
{
    margin-top: 10px;
    padding:10px 20px 20px 20px; 
    min-height: 500px; 

    background-color: #ffffff; 
    border:1px solid silver; 
    border-radius: 8px; 
    box-shadow: 0px 0px 1px #000000; 
}

/*Page_Footer.ascx*/
div#cDvFooter_Container 
{
    text-align: center;
    padding: 5px 0px 5px 0px;
}
.cSpFooter
{
    color: #F6F6F6;
}


/*Page_Header.ascx*/
    div#cDvHead_Main{
        position: relative;
        display: block;
        width: 100%;
        height: 72px;
        margin-bottom: 5px;

        background-color: rgba(255, 255, 255, 0.2);
        border:1px solid silver; 
        border-radius: 8px; 
        box-shadow: 0px 0px 1px #000000; 
    }

    div#cDvHead_Title{
        position: absolute;
        border: 0px solid brown;
        left: 140px;
        top: 5px;

        width: 600px;
        height: 80px;
        text-align: center;
        vertical-align: middle;
    }
    span#cSpHead_Title1 {
        position: relative;
        display:inline-block;

        color: #ffffff;
        border: 0px solid blue;
        filter: Glow(Color=#000000, Strength=3); 
        text-shadow: 0px 0px 5px #000000; 
        
        font-family: AngsanaUPC;
        font-weight: bold;
        font-size: 36px;
    }
    span#cSpHead_Title2{
        position: relative;
        display: inline-block;

        height: 100%;
        color: #ffffff;
        padding-left: 10px;
        border: 0px solid red;
        filter: Glow(Color=#000000, Strength=3); 
        text-shadow: 0px 0px 5px #000000; 
        
        font-family: AngsanaUPC;
        font-size: 26px;
    }

    div#cDvHead_Acc{
        position: absolute;
        border: 0px solid green;
        right: 15px;
        top: 0px;

        width: 300px;
        height: 60px;
        text-align: right;
        vertical-align: middle;
    }
    div#cDvHead_AccTitle{
        position: relative;
        display: inline-block;
        top: 50%;
        transform: translateY(-50%);

        border: 0px solid blue;
        color: black;
    }
    div#cDvHead_AccFullName{
        position: relative;
        display: inline-block;
        top: 50%;
        transform: translateY(-50%);

        border: 0px solid blue;
        color: black;
        font-weight: bold;
    }
    a#cBtnHead_AccLogout{
        position: relative;
        display: block;
        margin-left: 210px;
        right: 0px;
        top: 50%;
        transform: translateY(-50%);

        text-align: right;
        border: 0px solid red;
        color: #848484;
        text-decoration: none;
    }
    a#cBtnHead_AccLogout:hover{
        text-decoration: underline;
    }

    /*MenuMain.ascx*/
    .MenuMain_Container{
        border: 0px solid red;
        background-color: #00004A;

        width: 100%;
        padding-top: 7px;
        padding-bottom: 10px;
        margin-bottom: 3px;
    }
    .MenuMain{
        border: 0px solid green;
        padding: 0px;

        font-family: Arial;
        font-size: 15px;
        font-weight: bold;
    }
    .MenuMain ul{
        margin: 0px;
        padding: 0px;
    }
    .MenuMain ul li{
        padding: 0px;
        list-style: none;
    }
    .MenuMain ul li a{
        text-decoration: none;
        background-color: #00004A;
        color: #FFFFFF;

        padding: 8px 20px 8px 20px;
    }
    .MenuMain ul li a:hover{
        background-color: #6988A7;
        color: #FFFFFF;

    }
    .MenuMain ul li a.selected{
        background-color: #00004A;
        color: #A6F9A6;
    }


/*Login.aspx*/
            span#cLbComFlag {
                position:absolute; 
                margin-top: 6px; 
                margin-left: 23px;

                font: bold 16px arial;
                color: #3A3A3A;
            }
            .Login_SaleRetail{
                position: absolute;
                left: 700px;
                top: 445px;

                background: url('/App_Themes/Theme1/Images/General/SaleRetail.png');
                width: 192px;
                height: 65px;
                border: 1px solid transparent;
                text-decoration: none;
            }
            .Login_SaleRetail:hover{
                border: 1px solid #FFFFFF;
            }

            input#cTxUserName{
                position: absolute;
                left: 396px;
                top: 218px;

                font-size: 26px;
                font-weight: bold;
                color: #E8E8E8;
                background-color: transparent;
                border: 2px solid transparent;
                width: 211px;
                height: 25px;
                padding-left: 7px;
            }
            input#cTxUserName:focus{
                border: 2px solid #E8E8E8;
            }
            input#cTxPassword{
                position: absolute;
                left: 396px;
                top: 262px;

                font-size: 26px;
                font-weight: bold;
                color: #E8E8E8;
                background-color: transparent;
                border: 2px solid transparent;
                width: 211px;
                height: 25px;
                padding-left: 7px;
            }
            input#cTxPassword:focus{
                border: 2px solid #E8E8E8;
            }
            a#cBtnLogin{
                position: absolute;
                left: 420px;
                top: 312px;
                padding-top: 4px;

                text-align: center;
                text-decoration: none;
                font-size: 18px;
                font-weight: bold;
                color: #616161;
                border: 2px solid transparent;
                width: 158px;
                height: 30px;
            }
            a#cBtnLogin:hover{
                border: 2px solid #E8E8E8;
            }
            a#cBtnLogin:focus{
                border: 2px solid #E8E8E8;
            }


            span#cLbError{
                position: absolute;
                border: 0px solid red;
                left: 340px;
                top: 360px;
                width: 314px;
                height: 50px;
                text-align: center;

                color: red;
                font-size: 18px;
                font-weight: bold;
            }

            span#cLbCopyRight{
                position: absolute;
                border:0px solid red;
                left: 130px;
                top: 560px;
                width: 700px;
                text-align: center;
                text-shadow: 0px 0px 5px #000000;

                color: #F0F0F0;
                font-family: Arial;
                font-size: 12px;
            }


/* DEFAULTS
----------------------------------------------------------*/

body
{
    background-image:url('/App_Themes/Theme1/Images/General/background.png');
    background-repeat:repeat-x;
    background-color:#858585;
    font-size: .80em;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    margin: 0px;
    padding: 0px;
    color: #696969;
    text-decoration:none;
}

textarea
{
    font-family: inherit;
    font-size: inherit;
}

/* HEADINGS   
----------------------------------------------------------*/



/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/




/* TAB MENU   
----------------------------------------------------------*/



/* Menu_Sub
----------------------------------------------------------*/

/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset
{
    margin: 0px 0px 0px 0px;
    padding: 0px 15px 15px 15px;
    border: 1px solid #ccc;
}
legend 
{
    margin: 0px 0px 0px 40px;
    padding: 0px 0px 5px 0px;
    font-size: 1.1em;
    font-weight: 600;
}

/*
.fieldsetLogin
{
    width:400px;
    border: 1px solid #00004A;
    display: inline-block;
    background-color: #FFFFFF;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=70)";
    filter: alpha(opacity=70);
}
.legendLogin
{
    text-align:left;
    padding: 0px 5px 0px 5px;
    color:#00004A; 
    font-weight:bold; 
    font-size:12pt;
}*/

.fieldsetGroup
{
    /*border-color: #7777FF;*/
}
.legendGroup
{
    /*color: #3E17C5;*/
}


/* MISC  
----------------------------------------------------------*/

.BgGradient
{
    filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=0,StartColorStr='#E1E1E1',EndColorStr='#FFFFFF'); /* for IE */
    background: -webkit-gradient(linear, left top, left bottom, from(#E1E1E1), to(#FFFFFF)); /* for webkit browsers */
    background: -moz-linear-gradient(top,  #E1E1E1,  #FFFFFF); /* for firefox 3.6+ */ 
}


.Transparent
{
    position: absolute; 
    background-color: #AEAEAE;   

   filter:alpha(opacity=30); 
   -moz-opacity: 0.3; 
   opacity: 0.3; 
}

.Button_Default
{
    border: 1px solid silver; 
    background-color: #CFE2F5; 
    color: #0558A3; 
    font-size: 9pt; 
    text-decoration: none; 
    padding-left: 5px; 
    padding-right: 5px;
}
.ButtonText_Default
{
    border: 1px solid silver; 
    background-color: #CFE2F5; 
    color: #0558A3; 
    text-decoration: none; 
    padding: 1px 1px 1px 1px;
    text-align:right;
}

.Button_Action_1
{
    border: 1px solid silver; 
    background-color: #FFD6C1; 
    color: #8A2D00; 
    font-size: 10pt; 
    text-decoration: none; 
    padding-left: 10px; 
    padding-right: 10px;
}
.Button_DefaultDisabled
{
    border: 1px solid silver; 
    background-color: lightgray; 
    color: GrayText; 
    font-size: 9pt; 
    text-decoration: none; 
    padding-left: 5px; 
    padding-right: 5px;
}

input:focus ,textarea:focus
{ 
    border: 1px solid red;
} 
input[type=radio]:focus ~ label
{
    color:red;
}
input[type=checkbox]:focus ~ label
{
    color:red;
}
select:focus 
{
    border: 1px solid red;
}
